be.fgov.ehealth.addressbook.protocol.v1

## Class GetProfessionalContactInfoRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.addressbook.protocol.v1.GetProfessionalContactInfoRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class GetProfessionalContactInfoRequest
      extends RequestType
      implements Serializable

  Find contact data for a specific healthcare professional

  Java class for GetProfessionalContactInfoRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetProfessionalContactInfoRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <choice>
               <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
               <element name="SSIN" type="{urn:be:fgov:ehealth:addressbook:core:v1}SSINType"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetProfessionalContactInfoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNIHII()` Gets the value of the nihii property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setNIHII(String value)` Sets the value of the nihii property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetProfessionalContactInfoRequest

          public GetProfessionalContactInfoRequest()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNIHII

          public String getNIHII()

      Gets the value of the nihii property.
      Returns:
        possible object is `String`

    - #### setNIHII

          public void setNIHII(String value)

      Sets the value of the nihii property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.